Backwards Perspective Transform
Perspective Transform

Transforms (warps) an image based on a perspective transform. More...

## Functions

NppStatus | nppiWarpPerspectiveBack_8u_C1R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 8-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_8u_C1R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_8u_C3R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 8-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_8u_C3R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_8u_C4R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_8u_C4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_8u_AC4R_Ctx (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 8-bit unsigned integer backwards perspective warp, igoring alpha channel. More...
NppStatus | nppiWarpPerspectiveBack_8u_AC4R (const Npp8u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_8u_P3R_Ctx (const Npp8u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel planar 8-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_8u_P3R (const Npp8u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_8u_P4R_Ctx (const Npp8u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 8-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_8u_P4R (const Npp8u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp8u *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_16u_C1R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 16-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_16u_C1R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_16u_C3R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 16-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_16u_C3R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_16u_C4R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_16u_C4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_16u_AC4R_Ctx (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 16-bit unsigned integer backwards perspective warp, ignoring alpha channel. More...
NppStatus | nppiWarpPerspectiveBack_16u_AC4R (const Npp16u *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_16u_P3R_Ctx (const Npp16u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 16-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_16u_P3R (const Npp16u *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_16u_P4R_Ctx (const Npp16u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 16-bit unsigned integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_16u_P4R (const Npp16u *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp16u *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32s_C1R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 32-bit signed integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32s_C1R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32s_C3R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 32-bit signed integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32s_C3R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32s_C4R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit signed integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32s_C4R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32s_AC4R_Ctx (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit signed integer backwards perspective warp, ignoring alpha channel. More...
NppStatus | nppiWarpPerspectiveBack_32s_AC4R (const Npp32s *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32s_P3R_Ctx (const Npp32s *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel planar 32-bit signed integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32s_P3R (const Npp32s *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32s_P4R_Ctx (const Npp32s *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 32-bit signed integer backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32s_P4R (const Npp32s *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32s *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32f_C1R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Single-channel 32-bit floating-point backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32f_C1R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32f_C3R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel 32-bit floating-point backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32f_C3R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32f_C4R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32f_C4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32f_AC4R_Ctx (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel 32-bit floating-point backwards perspective warp, ignorning alpha channel. More...
NppStatus | nppiWarpPerspectiveBack_32f_AC4R (const Npp32f *pSrc, NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst, int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32f_P3R_Ctx (const Npp32f *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Three-channel planar 32-bit floating-point backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32f_P3R (const Npp32f *pSrc[3], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst[3], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)
NppStatus | nppiWarpPerspectiveBack_32f_P4R_Ctx (const Npp32f *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation, NppStreamContext nppStreamCtx)
| Four-channel planar 32-bit floating-point backwards perspective warp. More...
NppStatus | nppiWarpPerspectiveBack_32f_P4R (const Npp32f *pSrc[4], NppiSize oSrcSize, int nSrcStep, NppiRect oSrcROI, Npp32f *pDst[4], int nDstStep, NppiRect oDstROI, const double aCoeffs[3][3], int eInterpolation)

## Detailed Description

Transforms (warps) an image based on a perspective transform.

The perspective transform is given as a matrix C. A pixel location in the source image is mapped to the location in the destination image. The destination image coorodinates fullfil the following properties:

In other words, given matrix the source image's shape is transfored to the destination image using the inverse matrix :

### Common parameters for nppiWarpPerspectiveBack packed pixel functions include:

Parameters

  pSrc | Source-Image Pointer.
  oSrcSize | Size of source image in pixels.
  nSrcStep | Source-Image Line Step.
  oSrcROI | Source ROI.
  pDst | Destination-Image Pointer.
  nDstStep | Destination-Image Line Step.
  oDstROI | Destination ROI.
  aCoeffs | Perspective transform coefficients.
  eInterpolation | Interpolation mode: can be NPPI_INTER_NN, NPPI_INTER_LINEAR or NPPI_INTER_CUBIC.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Perspective Transform Error Codes

### Common parameters for nppiWarpPerspectiveBack planar pixel functions include:

Parameters

  pSrc | Source-Planar-Image Pointer Array (host memory array containing device memory image plane pointers).
  oSrcSize | Size of source image in pixels.
  nSrcStep | Source-Image Line Step.
  oSrcROI | Source ROI.
  pDst | Destination-Planar-Image Pointer Array (host memory array containing device memory image plane pointers).
  nDstStep | Destination-Image Line Step.
  oDstROI | Destination ROI.
  aCoeffs | Perspective transform coefficients.
  eInterpolation | Interpolation mode: can be NPPI_INTER_NN, NPPI_INTER_LINEAR or NPPI_INTER_CUBIC.
  nppStreamCtx | Application Managed Stream Context.

Returns
  Image Data Related Error Codes, ROI Related Error Codes, Perspective Transform Error Codes

## Function Documentation

NppStatus nppiWarpPerspectiveBack_16u_AC4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_16u_AC4R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned integer backwards perspective warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_16u_C1R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_16u_C1R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 16-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_16u_C3R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_16u_C3R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 16-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_16u_C4R | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_16u_C4R_Ctx | ( | const Npp16u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 16-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_16u_P3R | ( | const Npp16u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_16u_P3R_Ctx | ( | const Npp16u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 16-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

NppStatus nppiWarpPerspectiveBack_16u_P4R | ( | const Npp16u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_16u_P4R_Ctx | ( | const Npp16u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp16u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 16-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

NppStatus nppiWarpPerspectiveBack_32f_AC4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32f_AC4R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point backwards perspective warp, ignorning alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32f_C1R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32f_C1R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 32-bit floating-point backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32f_C3R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32f_C3R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit floating-point backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32f_C4R | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32f_C4R_Ctx | ( | const Npp32f * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit floating-point backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32f_P3R | ( | const Npp32f * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32f_P3R_Ctx | ( | const Npp32f * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel planar 32-bit floating-point backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

NppStatus nppiWarpPerspectiveBack_32f_P4R | ( | const Npp32f * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32f_P4R_Ctx | ( | const Npp32f * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32f * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 32-bit floating-point backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

NppStatus nppiWarpPerspectiveBack_32s_AC4R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32s_AC4R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit signed integer backwards perspective warp, ignoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32s_C1R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32s_C1R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 32-bit signed integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32s_C3R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32s_C3R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 32-bit signed integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32s_C4R | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32s_C4R_Ctx | ( | const Npp32s * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 32-bit signed integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_32s_P3R | ( | const Npp32s * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32s_P3R_Ctx | ( | const Npp32s * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel planar 32-bit signed integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

NppStatus nppiWarpPerspectiveBack_32s_P4R | ( | const Npp32s * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_32s_P4R_Ctx | ( | const Npp32s * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp32s * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 32-bit signed integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

NppStatus nppiWarpPerspectiveBack_8u_AC4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_8u_AC4R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned integer backwards perspective warp, igoring alpha channel.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_8u_C1R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_8u_C1R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Single-channel 8-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_8u_C3R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_8u_C3R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel 8-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_8u_C4R | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_8u_C4R_Ctx | ( | const Npp8u * | pSrc,
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst,
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel 8-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack packed pixel functions.

NppStatus nppiWarpPerspectiveBack_8u_P3R | ( | const Npp8u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_8u_P3R_Ctx | ( | const Npp8u * | pSrc[3],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst[3],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Three-channel planar 8-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

NppStatus nppiWarpPerspectiveBack_8u_P4R | ( | const Npp8u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation
| ) |  |

NppStatus nppiWarpPerspectiveBack_8u_P4R_Ctx | ( | const Npp8u * | pSrc[4],
|  | NppiSize | oSrcSize,
|  | int | nSrcStep,
|  | NppiRect | oSrcROI,
|  | Npp8u * | pDst[4],
|  | int | nDstStep,
|  | NppiRect | oDstROI,
|  | const double | aCoeffs[3][3],
|  | int | eInterpolation,
|  | NppStreamContext | nppStreamCtx
| ) |  |

Four-channel planar 8-bit unsigned integer backwards perspective warp.

For common parameter descriptions, see Common parameters for nppiWarpPerspectiveBack planar pixel functions.

Copyright © 2009-2018 NVIDIA Corporation